loveframes = require "lib.loveframes"

love.keyboard.setKeyRepeat(true);

function love.load()
	local back = loveframes.Create("image")
	local image = love.graphics.newImage("cap.jpg")	
	back:SetImage(image)
	back:SetPos (0, 0)
	local textfield = {}
	for i = 1, 10 do
		font = love.graphics.newFont("Arial.ttf", 16);
		textfield[i] = loveframes.Create("text");
		textfield[i]:SetPos(120, 120 + i * 25);
		textfield[i]:SetWidth(100);
		textfield[i]:SetFont(font);
		textfield[i]:SetText("Test "..i);

		local image2 = love.graphics.newImage("button4.dds")	
		local _btn = loveframes.Create("imagebutton");
		_btn:SetImage(image2);
		_btn:SetPos(220, 120 + i * 25);
		_btn:SizeToImage();
		_btn:SetText("!!!");
		_btn.OnClick = function(object)
			print("Button "..i.. " clicked")
		end;
	end;

	local tooltip1 = loveframes.Create("tooltip");
	tooltip1:SetObject(textfield[1]);
	tooltip1:SetPadding(1);
	--tooltip1:SetOffsetX(100);
	tooltip1:SetText("Text");

	local tooltip2 = loveframes.Create("tooltip");
	tooltip2:SetObject(textfield[2]);
	tooltip2:SetPadding(1);
	--tooltip2:SetOffsetX(100);
	tooltip2:SetText("One line"..string.char(10).."Another line");

	local tooltip3 = loveframes.Create("tooltip");
	tooltip3:SetObject(textfield[3]);
	tooltip3:SetPadding(1);
	--tooltip3:SetOffsetX(100);
	tooltip3:SetText("One line\nAnother line");

	local tooltip4 = loveframes.Create("tooltip");
	tooltip4:SetObject(textfield[4]);
	tooltip4:SetPadding(1);
	--tooltip4:SetOffsetX(100);
	tooltip4:SetText("One line\nAnother line\nAnother line\nAnother line\nAnother line\nAnother line\nAnother line");

	local tooltip5 = loveframes.Create("tooltip");
	tooltip5:SetObject(textfield[5]);
	tooltip5:SetPadding(1);
	--tooltip5:SetOffsetX(100);
	tooltip5:SetText("arrrrrrrrrrrrrrrrararsrasrarsar\narrrrrrrrrrrrrrrrararsrasrarsar\narrrrrrrrrrrrrrrrararsrasrarsar\narrrrrrrrrrrrrrrrararsrasrarsar\narrrrrrrrrrrrrrrrararsrasrarsar\narrrrrrrrrrrrrrrrararsrasrarsar\n");
end;

function love.update(dt)
	loveframes.update(dt);
end;

function love.keypressed(key)
  loveframes.keypressed(button,true);
end

function love.keyreleased(key)
  loveframes.keyreleased(button,true);
end

function love.mousepressed(x,y,button)
  loveframes.mousepressed(x, y, button);
end

function love.mousereleased(x,y,button)
  loveframes.mousereleased(x, y, button);
end

function love.mousemooved(x,y,dx,dy)
end

function love.wheelmoved( x, y )
end;

function love.textinput(text)
   loveframes.textinput(text);
end;

function love.draw()
	loveframes.draw();
end;
